{===============================================================================
  DllForm (c)1997 by RicoSoft
  Riccardo 'Rico' Pareschi - rico@mbox.4net.it
 ===============================================================================
   A to study on DLL in Delphi 3 - thanks to Marco Cant 
   Please use, share & enjoy.
 ===============================================================================
}
unit DllForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TFormInDll = class(TForm)
    StaticText1: TStaticText;
    UpDown1: TUpDown;
    Edit1: TEdit;
    CloseBtn: TButton;
    StaticText2: TStaticText;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormInDll: TFormInDll;

function GetDllFormResult: integer; stdcall;

implementation

{$R *.DFM}



{===============================================================================
}
function GetDllFormResult: integer; stdcall;
var i, r: integer;
begin
  result := 0;
  try
    FormInDll := TFormInDll.Create(Application);
    try
    with FormInDll do begin
      {-  init the data }
      Edit1.Text := Format('%d', [10]);
      UpDown1.ArrowKeys := False;
      UpDown1.Increment := 2;
      UpDown1.Associate := Edit1;
      UpDown1.Min :=   1;
      UpDown1.Max := 100;
      {- show the dialog }
      if ShowModal = mrOk then begin
         val(Edit1.Text,r,i);
         result := r;
      end; {- if }
    end; {- with }
    finally
      FormInDll.Free;
    end; {- try/finally }
  except
    on E: Exception do
       MessageDlg('Error in form DLL '+E.Message, mtError, [mbOK], 0);
  end; {- try/except }
end; {- GetDllFormResult }

end.
